/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PLATINE_PRINT_H
#define PLATINE_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genBasicTclservClientEncode.h"


#include "server/platinePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_PLATINE_PARAMS_POSTER_STR ( buf_t buf, struct PLATINE_PARAMS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_SEPOS_POSTER_STR ( buf_t buf, struct PLATINE_SEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_STATE_POSTER_STR ( buf_t buf, struct PLATINE_STATE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MODULE_PLATINE_SDI ( buf_t buf, struct MODULE_PLATINE_SDI *x, int nDim, int *dims);
void buf_add_enum_PLATINE_SET_SETTING ( buf_t buf, enum PLATINE_SET_SETTING *x, int nDim, int *dims);
void buf_add_struct_PLATINE_PARAMS_STR ( buf_t buf, struct PLATINE_PARAMS_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_OFFSETS_STR ( buf_t buf, struct PLATINE_OFFSETS_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_POWER_PARAMS ( buf_t buf, struct PLATINE_POWER_PARAMS *x, int nDim, int *dims);
void buf_add_struct_PLATINE_AXIS_POWER_PARAMS ( buf_t buf, struct PLATINE_AXIS_POWER_PARAMS *x, int nDim, int *dims);
void buf_add_enum_PLATINE_MOVE_POWER_MODE ( buf_t buf, enum PLATINE_MOVE_POWER_MODE *x, int nDim, int *dims);
void buf_add_enum_PLATINE_HOLD_POWER_MODE ( buf_t buf, enum PLATINE_HOLD_POWER_MODE *x, int nDim, int *dims);
void buf_add_struct_PLATINE_SPEED_PROFILE ( buf_t buf, struct PLATINE_SPEED_PROFILE *x, int nDim, int *dims);
void buf_add_struct_PLATINE_AXIS_SET_SPEED_PROFILE ( buf_t buf, struct PLATINE_AXIS_SET_SPEED_PROFILE *x, int nDim, int *dims);
void buf_add_struct_PLATINE_AXIS_SPEED_PROFILE ( buf_t buf, struct PLATINE_AXIS_SPEED_PROFILE *x, int nDim, int *dims);
void buf_add_struct_PLATINE_STEP_AXIS_PARAMS ( buf_t buf, struct PLATINE_STEP_AXIS_PARAMS *x, int nDim, int *dims);
void buf_add_struct_PLATINE_CONVERT_PARAMS ( buf_t buf, struct PLATINE_CONVERT_PARAMS *x, int nDim, int *dims);
void buf_add_struct_PLATINE_CONST_PARAMS ( buf_t buf, struct PLATINE_CONST_PARAMS *x, int nDim, int *dims);
void buf_add_struct_PLATINE_AXIS_CONST_PARAMS ( buf_t buf, struct PLATINE_AXIS_CONST_PARAMS *x, int nDim, int *dims);
void buf_add_struct_PLATINE_SET_PARAM ( buf_t buf, struct PLATINE_SET_PARAM *x, int nDim, int *dims);
void buf_add_struct_PLATINE_REF_COORD_SPEED_STR ( buf_t buf, struct PLATINE_REF_COORD_SPEED_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_REF_AXIS_SPEED_STR ( buf_t buf, struct PLATINE_REF_AXIS_SPEED_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_POS_RQST ( buf_t buf, struct PLATINE_POS_RQST *x, int nDim, int *dims);
void buf_add_struct_PLATINE_TRACK_TARGET ( buf_t buf, struct PLATINE_TRACK_TARGET *x, int nDim, int *dims);
void buf_add_struct_PLATINE_CARTESIAN_TARGET ( buf_t buf, struct PLATINE_CARTESIAN_TARGET *x, int nDim, int *dims);
void buf_add_struct_PLATINE_REF_POS_STR ( buf_t buf, struct PLATINE_REF_POS_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_REF_COORD_POS_STR ( buf_t buf, struct PLATINE_REF_COORD_POS_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_REF_AXIS_POS_STR ( buf_t buf, struct PLATINE_REF_AXIS_POS_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_STATES ( buf_t buf, struct PLATINE_STATES *x, int nDim, int *dims);
void buf_add_struct_PLATINE_STATE ( buf_t buf, struct PLATINE_STATE *x, int nDim, int *dims);
void buf_add_struct_PLATINE_3D_POINT ( buf_t buf, struct PLATINE_3D_POINT *x, int nDim, int *dims);
void buf_add_enum_PLATINE_CMD_TYPE ( buf_t buf, enum PLATINE_CMD_TYPE *x, int nDim, int *dims);
void buf_add_enum_PLATINE_AXIS ( buf_t buf, enum PLATINE_AXIS *x, int nDim, int *dims);
void buf_add_enum_PLATINE_UNITY ( buf_t buf, enum PLATINE_UNITY *x, int nDim, int *dims);
void buf_add_enum_PLATINE_BOOL ( buf_t buf, enum PLATINE_BOOL *x, int nDim, int *dims);
void buf_add_struct_PLATINE_AXIS_STR ( buf_t buf, struct PLATINE_AXIS_STR *x, int nDim, int *dims);
void buf_add_struct_PLATINE_DRIVER_PARAMS ( buf_t buf, struct PLATINE_DRIVER_PARAMS *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_PLATINE_DRIVER_PARAMS ( buf_t buf, PLATINE_DRIVER_PARAMS *x, int nDim, int *dims);
void buf_add_PLATINE_AXIS_STR ( buf_t buf, PLATINE_AXIS_STR *x, int nDim, int *dims);
void buf_add_PLATINE_BOOL ( buf_t buf, PLATINE_BOOL *x, int nDim, int *dims);
void buf_add_PLATINE_UNITY ( buf_t buf, PLATINE_UNITY *x, int nDim, int *dims);
void buf_add_PLATINE_AXIS ( buf_t buf, PLATINE_AXIS *x, int nDim, int *dims);
void buf_add_PLATINE_CMD_TYPE ( buf_t buf, PLATINE_CMD_TYPE *x, int nDim, int *dims);
void buf_add_PLATINE_3D_POINT ( buf_t buf, PLATINE_3D_POINT *x, int nDim, int *dims);
void buf_add_PLATINE_STATE ( buf_t buf, PLATINE_STATE *x, int nDim, int *dims);
void buf_add_PLATINE_STATES ( buf_t buf, PLATINE_STATES *x, int nDim, int *dims);
void buf_add_PLATINE_REF_AXIS_POS_STR ( buf_t buf, PLATINE_REF_AXIS_POS_STR *x, int nDim, int *dims);
void buf_add_PLATINE_REF_COORD_POS_STR ( buf_t buf, PLATINE_REF_COORD_POS_STR *x, int nDim, int *dims);
void buf_add_PLATINE_REF_POS_STR ( buf_t buf, PLATINE_REF_POS_STR *x, int nDim, int *dims);
void buf_add_PLATINE_CARTESIAN_TARGET ( buf_t buf, PLATINE_CARTESIAN_TARGET *x, int nDim, int *dims);
void buf_add_PLATINE_TRACK_TARGET ( buf_t buf, PLATINE_TRACK_TARGET *x, int nDim, int *dims);
void buf_add_PLATINE_POS_RQST ( buf_t buf, PLATINE_POS_RQST *x, int nDim, int *dims);
void buf_add_PLATINE_REF_AXIS_SPEED_STR ( buf_t buf, PLATINE_REF_AXIS_SPEED_STR *x, int nDim, int *dims);
void buf_add_PLATINE_REF_COORD_SPEED_STR ( buf_t buf, PLATINE_REF_COORD_SPEED_STR *x, int nDim, int *dims);
void buf_add_PLATINE_SET_PARAM ( buf_t buf, PLATINE_SET_PARAM *x, int nDim, int *dims);
void buf_add_PLATINE_AXIS_CONST_PARAMS ( buf_t buf, PLATINE_AXIS_CONST_PARAMS *x, int nDim, int *dims);
void buf_add_PLATINE_CONST_PARAMS ( buf_t buf, PLATINE_CONST_PARAMS *x, int nDim, int *dims);
void buf_add_PLATINE_CONVERT_PARAMS ( buf_t buf, PLATINE_CONVERT_PARAMS *x, int nDim, int *dims);
void buf_add_PLATINE_STEP_AXIS_PARAMS ( buf_t buf, PLATINE_STEP_AXIS_PARAMS *x, int nDim, int *dims);
void buf_add_PLATINE_AXIS_SPEED_PROFILE ( buf_t buf, PLATINE_AXIS_SPEED_PROFILE *x, int nDim, int *dims);
void buf_add_PLATINE_AXIS_SET_SPEED_PROFILE ( buf_t buf, PLATINE_AXIS_SET_SPEED_PROFILE *x, int nDim, int *dims);
void buf_add_PLATINE_SPEED_PROFILE ( buf_t buf, PLATINE_SPEED_PROFILE *x, int nDim, int *dims);
void buf_add_PLATINE_HOLD_POWER_MODE ( buf_t buf, PLATINE_HOLD_POWER_MODE *x, int nDim, int *dims);
void buf_add_PLATINE_MOVE_POWER_MODE ( buf_t buf, PLATINE_MOVE_POWER_MODE *x, int nDim, int *dims);
void buf_add_PLATINE_AXIS_POWER_PARAMS ( buf_t buf, PLATINE_AXIS_POWER_PARAMS *x, int nDim, int *dims);
void buf_add_PLATINE_POWER_PARAMS ( buf_t buf, PLATINE_POWER_PARAMS *x, int nDim, int *dims);
void buf_add_PLATINE_OFFSETS_STR ( buf_t buf, PLATINE_OFFSETS_STR *x, int nDim, int *dims);
void buf_add_PLATINE_PARAMS_STR ( buf_t buf, PLATINE_PARAMS_STR *x, int nDim, int *dims);
void buf_add_PLATINE_SET_SETTING ( buf_t buf, PLATINE_SET_SETTING *x, int nDim, int *dims);
void buf_add_PLATINE_STR ( buf_t buf, PLATINE_STR *x, int nDim, int *dims);
void buf_add_PLATINE_STATE_POSTER_STR ( buf_t buf, PLATINE_STATE_POSTER_STR *x, int nDim, int *dims);
void buf_add_PLATINE_SEPOS_POSTER_STR ( buf_t buf, PLATINE_SEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_PLATINE_PARAMS_POSTER_STR ( buf_t buf, PLATINE_PARAMS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* PLATINE_TCLSERV_CLIENT_ENCODE_H */

